#
# Preseed file for IPAG - ubuntu server 14.04 avec intégration ldap
#

# initial stuff 
#

# this blocks the installation until something happens...

#d-i anna/choose_modules string network-console
#d-i preseed/early_command string anna-install network-console
#d-i network-console/password-disabled boolean true
#d-i network-console/authorized_keys_url string http://10.11.0.1/preseed/jmmc-id_ed25519.pub

d-i preseed/early_command string \
	wget http://{{preseed_server}}/preseed/jmmc-base.seed -O /tmp/jmmc-base.seed ; \
	debconf-set-selections /tmp/jmmc-base.seed	

#d-i pkgsel/include string \
#        debconf-utils nfs-client \
#        mtr ntp vim-nox htop

# do things like add key for user
#
d-i preseed/late_command string export SERVER="{{preseed_server}}" ; chroot /target /usr/bin/wget http://{{preseed_server}}/preseed/jmmc-ubuntu-server.postinstall -O - | sh


